import _get from "lodash/get";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { StyleSheet } from 'react-native';
import AbstractField from './AbstractField';
const styles = StyleSheet.create({
  padding: {
    paddingLeft: 10
  }
});

class BooleanField extends AbstractField {
  getDefaultWidget() {
    const {
      widgets
    } = this.props;
    return widgets.HiddenWidget;
  }

  getWidget() {
    const {
      widgets,
      uiSchema
    } = this.props;
    const widgetName = uiSchema['ui:widget'];
    let Widget;

    if (!widgetName || widgetName === 'checkbox') {
      const {
        CheckboxWidget
      } = widgets;

      Widget = ({
        value,
        ...props
      }) => React.createElement(CheckboxWidget, _extends({}, props, {
        value: true,
        checked: !!value
      }));
    } else if (widgetName === 'radio') {
      const {
        RadioWidget
      } = widgets;

      Widget = ({
        value,
        style,
        ...props
      }) => React.createElement(React.Fragment, null, React.createElement(RadioWidget, _extends({}, props, {
        text: _get(uiSchema, ['ui:options', 'trueText'], 'Yes'),
        checked: value === true,
        style: [!uiSchema['ui:inline'] || uiSchema['ui:title'] !== false ? styles.padding : null, style],
        value: true
      })), React.createElement(RadioWidget, _extends({}, props, {
        text: _get(uiSchema, ['ui:options', 'falseText'], 'No'),
        checked: value === false,
        style: [styles.padding, style],
        value: false
      })));
    }

    return Widget;
  }

}

export default BooleanField;