import React from 'react';
import PropTypes from 'prop-types';
import { StyleSheet } from 'react-native';
import Text from 'react-native-web-ui-components/Text';
import Link from 'react-native-web-ui-components/Link';
const styles = StyleSheet.create({
  remove: {
    paddingLeft: 10,
    paddingTop: 11
  },
  hidden: {
    opacity: 0,
    paddingTop: 0
  },
  alignRight: {
    paddingTop: 0,
    width: '100%',
    textAlign: 'right'
  }
});

const RemoveHandle = ({
  theme,
  onRemovePress,
  titleOnly,
  screenType
}) => {
  if (!titleOnly) {
    return React.createElement(Link, {
      auto: true,
      type: theme.colors.primary,
      onPress: onRemovePress,
      style: [styles.remove, titleOnly ? styles.hidden : null, screenType === 'xs' ? styles.alignRight : null]
    }, "Remove");
  }

  return React.createElement(Text, {
    auto: true,
    type: theme.colors.primary,
    style: [styles.remove, titleOnly ? styles.hidden : null]
  }, "Remove");
};

RemoveHandle.propTypes = {
  theme: PropTypes.shape().isRequired,
  onRemovePress: PropTypes.func.isRequired,
  titleOnly: PropTypes.bool.isRequired,
  screenType: PropTypes.string.isRequired
};
export default RemoveHandle;